# Interface PrintServiceAttribute

All Superinterfaces:
  `Attribute, Serializable`

All Known Implementing Classes:
  `ColorSupported, PagesPerMinute, PagesPerMinuteColor, PDLOverrideSupported, PrinterInfo, PrinterIsAcceptingJobs, PrinterLocation, PrinterMakeAndModel, PrinterMessageFromOperator, PrinterMoreInfo, PrinterMoreInfoManufacturer, PrinterName, PrinterState, PrinterStateReasons, PrinterURI, QueuedJobCount`

public interface PrintServiceAttribute extends Attribute
Interface `PrintServiceAttribute` is a tagging interface which a printing attribute class implements to indicate the attribute describes the status of a Print Service or some other characteristic of a Print Service. A Print Service instance adds a number of `PrintServiceAttributes` to a Print service's attribute set to report the Print Service's status.

See Also:
  - `PrintServiceAttributeSet`

## Method Summary

### Methods declared in interface Attribute

`getCategory, getName`
Modifier and Type
Method
Description
`Class<? extends Attribute>`
`getCategory()`
Get the printing attribute class which is to be used as the "category" for this printing attribute value when it is added to an attribute set.
`String`
`getName()`
Get the name of the category of which this attribute value is an instance.